@extends('layouts.app')
@section('pagetitle', 'Products')
@section('subtitle', 'List')
@section('page_css')
<link href="{{URL::asset('public/assets/bootstrap-datepicker/css/datepicker.css')}}" rel="stylesheet">
<link href="{{URL::asset('public/assets/bootstrap-datetimepicker/css/datetimepicker.css')}}" rel="stylesheet">
<link href="{{URL::asset('public/assets/bootstrap-timepicker/compiled/timepicker.css')}}" rel="stylesheet">
<link href="{{URL::asset('public/assets/bootstrap-colorpicker/css/colorpicker.css')}}" rel="stylesheet">
<link href="{{URL::asset('public/assets/jquery-multi-select/css/multi-select.css')}}" rel="stylesheet">
@endsection
@section('content')
<div class="row">
    <div class="col-lg-12">
        <!--breadcrumbs start -->
        <ul class="breadcrumb">
            <li><a href="{{ url('/') }}"><i class="fa fa-home"></i> Home</a></li>
            <li><a href="{{ url('product') }}">@yield('pagetitle')</a></li>
            <li class="active"><strong>@yield('subtitle')</strong></li>
        </ul>
        <!--breadcrumbs end -->
    </div>
</div>
              <div class="row">
                <div class="col-sm-12">
              <section class="panel">
              <header class="panel-heading">
                  @yield('pagetitle') <small> @yield('subtitle')</small>
                <span class="tools pull-right">
                   <a href="javascript:;" class="fa fa-chevron-down"></a>
                   <a href="javascript:;" class="fa fa-times"></a>
                </span>
              </header>
              <div class="panel-body">
                <div class="ibox-tools">
                    <a href="#" class="btn btn-primary btn-sm" id='sync' data-toggle="tooltip" data-placement="top" title="" data-original-title="Reply" onclick="sync_products()"><i class="fa fa-rotate-left"></i> Products Sync</a>
                    <a href="#" class="btn btn-primary btn-sm" id="loader" style="display: none"><img src="{{asset('assets/img/input-spinner.gif')}}" alt=""></a>
                    <a href="#" class="btn btn-danger btn-sm pull-right" id='remove' data-toggle="tooltip" data-placement="top" title="" data-original-title="Reply" onclick="remove_products()">
                        <i class="fa fa-trash-o"></i>  Products Remove
                    </a>
                    <a href="#" class="btn btn-danger btn-sm pull-right" id="remove-loader" style="display: none"><img src="{{asset('assets/img/input-spinner.gif')}}" alt=""></a>
                </div>
              <div class="adv-table">
              <table  class="display table table-bordered table-striped" id="dynamic-table">
              <thead>
              <tr>
                  <th>Sr.</th>
                  <th>AV Id</th>
                  <th>Shopify Id</th>
                  <th>Product Name</th>
                  <th>Price</th>
                  <th>Sku</th>
                  <th>Description</th>
                  <th>Creating Mathod</th>
                  <th>Created By</th>
                  <th>Ring Size</th>
                  <th>Image</th>
              </tr>
              </thead>
              <tbody>
              @php $counter = 0; @endphp
              @foreach($products as $product)
              @php $counter++ @endphp
              <tr class="gradeX">
                  <td>{{$counter}}</td>
                  <td>{{$product->av_id}}</td>
                  <td>{{$product->shopify_id}}</td>
                  <td>{{$product->name}}</td>
                  <td>{{$product->price}}</td>
                  <td>{{$product->sku}}</td>
                  <td>{!! $product->description !!}</td>
                  <td>{{$product->creating_mathod}}</td>
                  <td>{{$product->created_by}}</td>
                  <td>@if($product->shopify_option_values != 'Default Title'){{$product->shopify_option_values}}@endif</td>
                  <td>
                      <img  src="{{ $product->image }}" width="50px" height="50px" style="border-radius: 50%;">
                  </td>
              </tr>
              @endforeach
              </tbody>
              <tfoot>
              <tr>
                  <th>Sr.</th>
                  <th>AV Id</th>
                  <th>Shopify Id</th>
                  <th>Product Name</th>
                  <th>Price</th>
                  <th>Sku</th>
                  <th>Description</th>
                  <th>Creating Mathod</th>
                  <th>Created By</th>
                  <th>Ring Size</th>
                  <th>Image</th>
              </tr>
              </tfoot>
              </table>
              </div>
              </div>

      </section>
      @endsection
      @section('page_js')
      <script src="{{URL::asset('public/assets/bootstrap-datepicker/js/bootstrap-datepicker.js')}}"></script>
      <script src="{{URL::asset('public/assets/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js')}}"></script>
      <script src="{{URL::asset('public/assets/bootstrap-timepicker/js/bootstrap-timepicker.js')}}"></script>
      <script src="{{URL::asset('public/assets/bootstrap-colorpicker/js/bootstrap-colorpicker.js')}}"></script>
      <script src="{{URL::asset('public/assets/jquery-multi-select/js/jquery.multi-select.js')}}"></script>
      <script src="{{URL::asset('public/assets/js/advanced-form-components.js')}}"></script>
      <script>
        function sync_products()
        {
            var url = "{!!url('/product/create')!!}";
            $('#sync').hide();
            $('#loader').show();
            $.ajax({
                type:'GET',
                url:url,
                dataType:'json',
                success:function(data){
                    if(data.status == 'true')
                    {
                        $('#sync').show();
                        $('#loader').hide();
                        alert(data.message);
                        window.location.reload();
                    };
                },
                error:function(data){
                    if(data.status == 'false')
                    {
                        $('#sync').show();
                        $('#loader').hide();
                        alert(data.message);
                        window.location.reload();
                    }
                }
            });
        }

        function remove_products()
        {
            var url = "{!!url('/product/remove')!!}";
            $('#remove').hide();
            $('#remove-loader').show();
            $.ajax({
                type:'GET',
                url:url,
                dataType:'json',
                success:function(data){
                    if(data.status == 'true')
                    {
                        $('#remove').show();
                        $('#remove-loader').hide();
                        alert(data.message);
                        window.location.reload();
                    };
                },
                error:function(data){
                    if(data.status == 'false')
                    {
                        $('#remove').show();
                        $('#remove-loader').hide();
                        alert(data.message);
                        window.location.reload();
                    }
                }
            });
        }
      </script>   
      @endsection