@extends('layouts.app')
@section('pagetitle', 'Sub Categories')
@section('subtitle', 'List')
@section('page_css')
<link href="{{URL::asset('assets/bootstrap-datepicker/css/datepicker.css')}}" rel="stylesheet">
<link href="{{URL::asset('assets/bootstrap-datetimepicker/css/datetimepicker.css')}}" rel="stylesheet">
<link href="{{URL::asset('assets/bootstrap-timepicker/compiled/timepicker.css')}}" rel="stylesheet">
<link href="{{URL::asset('assets/bootstrap-colorpicker/css/colorpicker.css')}}" rel="stylesheet">
<link href="{{URL::asset('assets/jquery-multi-select/css/multi-select.css')}}" rel="stylesheet">
@endsection
@section('content')
<div class="row">
    <div class="col-lg-12">
        <!--breadcrumbs start -->
        <ul class="breadcrumb">
            <li><a href="{{ url('/') }}"><i class="fa fa-home"></i> Home</a></li>
            <li><a href="{{ url('sub_categories') }}">@yield('pagetitle')</a></li>
            <li class="active"><strong>@yield('subtitle')</strong></li>
        </ul>
        <!--breadcrumbs end -->
    </div>
</div>
              <div class="row">
                <div class="col-sm-12">
              <section class="panel">
              <header class="panel-heading">
                  @yield('pagetitle') <small> @yield('subtitle')</small>
                <span class="tools pull-right">
                   <a href="javascript:;" class="fa fa-chevron-down"></a>
                   <a href="javascript:;" class="fa fa-times"></a>
                </span>
              </header>
              <div class="panel-body">
                <div class="ibox-tools">
                    <a href="{{ url('sub_categories/create') }}" class="btn btn-primary btn-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Reply"><i class="fa fa-plus"></i> Add New</a>
                </div>
              <div class="adv-table">
              <table  class="display table table-bordered table-striped" id="dynamic-table">
              <thead>
              <tr>
                  <th>Sr.</th>
                  <th>Sub Category Title</th>
                  <th>Sub Category Slug</th>
                  <th>Sub Category Desc</th>
                  <th>Parent</th>
                  <th>Sub Category Image</th>
                  <th>Action</th>
              </tr>
              </thead>
              <tbody>
              @php $counter = 0; @endphp
              @foreach($sub_categories as $sub_category)
              @php $counter++ @endphp
              <tr class="gradeX">
                  <td>{{$counter}}</td>
                  <td>{{$sub_category->title}}</td>
                  <td>{{$sub_category->slug}}</td>
                  <td>{!! $sub_category->description!!}</td>
                  <td>
                    @foreach($categories as $category)
                    @if($sub_category->parent == $category->id)
                    {{$category->title}}
                    @endif
                    @endforeach
                  </td>
                  <td>
                        <img alt="task-thumb" src="{{ asset('storage/Sub-Category-Images/'.$sub_category->image) }}" width="50px" height="50px" style="border-radius: 50%;">
                  </td>
                  <td>
                    <a href="{{ url('sub_categories/show/'.$sub_category->id)}}" class="btn btn-success btn-sm">View</a>
                    <a href="{{ url('sub_categories/edit/'.$sub_category->id)}}" class="btn btn-primary btn-sm">Edit</a>
                    <a data-toggle="modal" data-target="#delete_{{$sub_category->id}}" class="btn btn-danger btn-sm">Delete</a>
                  </td>
              </tr>
                <!-- The Delete Modal start -->
                <div class="modal" id="delete_{{$sub_category->id}}">
                  <div class="modal-dialog">
                    <div class="modal-content">
                      <div class="modal-header">
                        <h4 class="modal-title">Delete Sub Category</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                      </div>
                      
                      <!-- Modal body -->
                      <div class="modal-body">
                        <h4 style="text-align: center;">Are you sure, you want to delete this Sub Category?</h4>
                      </div>
                      
                      <!-- Modal footer -->
                      <div class="modal-footer">
                        <a href="{{url('sub_categories/destroy/'.$sub_category->id)}}" class="btn btn-danger">Yes</a>
                        <button type="button" class="btn btn-danger" data-dismiss="modal">No</button>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- The Delete Modal End-->
              @endforeach
              </tbody>
              <tfoot>
              <tr>
                  <th>Sr.</th>
                  <th>Sub Category Title</th>
                  <th>Sub Category Slug</th>
                  <th>Sub Category Desc</th>
                  <th>Parent</th>
                  <th>Sub Category Image</th>
                  <th>Action</th>
              </tr>
              </tfoot>
              </table>
              </div>
              </div>

      </section>
      @endsection
      @section('page_js')
      <script src="{{URL::asset('assets/bootstrap-datepicker/js/bootstrap-datepicker.js')}}"></script>
      <script src="{{URL::asset('assets/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js')}}"></script>
      <script src="{{URL::asset('assets/bootstrap-timepicker/js/bootstrap-timepicker.js')}}"></script>
      <script src="{{URL::asset('assets/bootstrap-colorpicker/js/bootstrap-colorpicker.js')}}"></script>
      <script src="{{URL::asset('assets/jquery-multi-select/js/jquery.multi-select.js')}}"></script>
      <script src="{{URL::asset('assets/js/advanced-form-components.js')}}"></script>
      @endsection