<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Storage;use App\Homepage_widget;
use App\Product;use App\Category;
use App\Exhibition;use App\Slider;

class Homepage_widgetController extends Controller
{
    public function index()
    {
        $products           = Product::all();
        $slider             = Slider::where('status','=',1)->get();
        $exhibitions        = Exhibition::all();
        $sub_categories     = Category::where('parent','!=',0)->get();
        $slider_images      = Homepage_widget::where('widget_code','=',1)->first();
        $section_products   = Homepage_widget::where('widget_type','=',2)->get();
        $sub_category_sec   = Homepage_widget::where('widget_type','=',3)->get();
        $exhibition_sec     = Homepage_widget::where('widget_type','=',4)->first();
        return view('Backend.ordering')->with('products',$products)->with('slider_images',$slider_images)
                ->with('section_products',$section_products)->with('sub_category_sec',$sub_category_sec)
                ->with('sub_categories',$sub_categories)->with('exhibitions',$exhibitions)->with('exhibition_sec',$exhibition_sec)->with('slider',$slider);
    }

    public function slider(Request $request)
    {
        $rules =['slider_products' => 'required'];

        $validation = $this->Validate($request,$rules);

        if(count($request->slider_products) > 0)
        {
            $homepage_widget = Homepage_widget::where('widget_code','=',1)->first();

            $slider = implode(',', $request->slider_products);
            $homepage_widget->product_id = $slider;

            if($homepage_widget->update())
            {    
            return redirect('/admin-home')->with('alert-success', 'Salider Updated Successfully');
            }
            else
            {
            return redirect('/admin-home')->with('alert-error', $validation->errors());
            }
        }
        else
        {
        return redirect('/admin-home')->with('alert-error', 'Select at least one or more product');
        }
    }

    public function product(Request $request)
    {
        $rules =['product' => 'required','widget_code' => 'required'];

        $validation = $this->Validate($request,$rules);

        if($request->product)
        {
            $homepage_widget = Homepage_widget::where('widget_code','=',$request->widget_code)->first();

            $homepage_widget->product_id = $request->product;

            if($homepage_widget->update())
            {    
            return redirect('/admin-home')->with('alert-success', 'Product Updated Successfully');
            }
            else
            {
            return redirect('/admin-home')->with('alert-error', $validation->errors());
            }
        }
        else
        {
        return redirect('/admin-home')->with('alert-error', 'Select at least one or more product');
        }
    }

    public function sub_category(Request $request)
    {
        $rules =['sub_cat' => 'required','widget_code' => 'required'];

        $validation = $this->Validate($request,$rules);

        if($request->sub_cat)
        {
            $homepage_widget = Homepage_widget::where('widget_code','=',$request->widget_code)->first();

            $homepage_widget->product_id = $request->sub_cat;

            if($homepage_widget->update())
            {    
            return redirect('/admin-home')->with('alert-success', 'Sub Category Updated Successfully');
            }
            else
            {
            return redirect('/admin-home')->with('alert-error', $validation->errors());
            }
        }
        else
        {
        return redirect('/admin-home')->with('alert-error', 'Select at least one or more product');
        }
    }

    public function exhibition(Request $request)
    {
        $rules =['exhibition_image' => 'required','widget_code' => 'required'];

        $validation = $this->Validate($request,$rules);

        if($request->hasFile('exhibition_image'))
        {
            $homepage_widget = Homepage_widget::where('widget_code','=',$request->widget_code)->first();

            // Update Press and Exhibitions section Images for home.
            $image            = $request->file('exhibition_image');
            $filename         = 'sectionImage_'.rand(11000,32000).'_'.time().'.'. $image->getClientOriginalExtension();
            $destination_path = 'public/Exhibition-Images';
            $image->storeAs($destination_path,$filename);
            $homepage_widget->product_id = $filename;
            if($homepage_widget->update())
            {    
                return redirect('/admin-home')->with('alert-success', 'Press & Exhibition Image Updated Successfully');
            }
            else
            {
                return redirect('/admin-home')->with('alert-error', $validation->errors());
            }
        }
        else
        {
            return redirect('/admin-home')->with('alert-error', 'Select at least one Image For Press and Exhibition Section');
        }
    }
}
