@extends('layouts.app')
@section('pagetitle', 'Press & Exhibition')
@section('subtitle', 'Show Detail')
@section('page_css')
<link href="{{url('assets/select2/css/select2.min.css')}}" rel="stylesheet" type="text/css"/>
<link href="{{url('assets/summernote/dist/summernote.css')}}" rel="stylesheet" type="text/css"/>
@endsection
@section('content')
        <div class="row">
            <div class="col-lg-12">
                <!--breadcrumbs start -->
                <ul class="breadcrumb">
                    <li><a href="{{ url('/') }}"><i class="fa fa-home"></i> Home</a></li>
                    <li><a href="{{ redirect()->back()->getTargetUrl() }}">@yield('pagetitle')</a></li>
                    <li class="active"><strong>@yield('subtitle')</strong></li>
                </ul>
                <!--breadcrumbs end -->
            </div>
        </div>
        <div class="row">
                <div class="col-lg-12">
                    <section class="panel">
                        <header class="panel-heading">
                            @yield('pagetitle') <small> @yield('subtitle')</small>
                        </header>
                        <div class="panel-body">
                            <form class="form-horizontal tasi-form" enctype="multipart/form-data">
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Type</label>
                                    <div class="col-sm-10">
                                        <select class="js-example-basic-single form-control" name="type" id="type" readonly>
                                            <option value=""></option>
                                            <option value="press" @if($exhibition->type == 'PRESS') selected @endif>Press</option>
                                            <option value="exhibition" @if($exhibition->type == 'exhibition') selected @endif>Exhibition</option>
                                        </select>
                                        <small class="text-danger">{{ $errors->first('type') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Title</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="title" id="title" value="{{ $exhibition->title }}" readonly>
                                        <small class="text-danger">{{ $errors->first('title') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Description</label>
                                    <div class="col-sm-10">
                                        <textarea class="summernote form-control" name="description" id="description" readonly>{!! $exhibition->description !!}</textarea>
                                        <small class="text-danger">{{ $errors->first('description') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Thumbnail Image</label>
                                    <div class="col-sm-10">
                                        @if($exhibition->exhibition_images)
                                        @foreach ($exhibition->exhibition_images as $item)
                                            <td>
                                                @if($item->type == 'thumbnail')
                                                    <img  src="{{ asset('storage/Exhibition-Images/'.$item->image) }}" height="100px" width="100px" style="border-radius: 50%;margin-right: 10px;">
                                                @endif
                                            </td>
                                        @endforeach
                                        @endif
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Gallery Images</label>
                                    <div class="col-sm-10">
                                        @if($exhibition->exhibition_images)
                                            @foreach ($exhibition->exhibition_images as $item)
                                            @php
                                                $file = explode(".",$item->image)
                                            @endphp
                                            @if($file[1] == 'pdf')
                                                <a href="{{ asset('storage/Exhibition-Images/'.$item->image) }}" target="blank">Click Here and open file</a>
                                            @else
                                                <td>
                                                    @if($item->type == 'normal_image')
                                                        <img  src="{{ asset('storage/Exhibition-Images/'.$item->image) }}" height="100px" width="100px" style="border-radius: 50%;margin-right: 10px;">
                                                    @endif
                                                </td>
                                            @endif
                                            @endforeach
                                        @endif
                                    </div>
                                </div>
                            </form>
                        </div><br><br>
                    </section>
                </div>
        </div>
@endsection
@section('page_js')
<script type="text/javascript" src="{{url('assets/select2/js/select2.min.js')}}"></script>
<!--select2-->
<script type="text/javascript">
    $(document).ready(function () {
        $(".js-example-basic-single").select2({
            placeholder: "Select Type of Press or Exhibition"
        });

        $(".select2_multiple").select2();
    });
</script>
<!--summernote-->
<script type="text/javascript" src="{{url('assets/summernote/dist/summernote.min.js')}}"></script>
<script>
    jQuery(document).ready(function(){

        $('.summernote').summernote({
            height: 200,                 // set editor height

            minHeight: null,             // set minimum height of editor
            maxHeight: null,             // set maximum height of editor
            fontNamesIgnoreCheck: ["Roboto"],
            fontNames: ["Roboto","Arial", "Arial Black", "Comic Sans MS", "Courier New",
                             "Helvetica Neue", "Helvetica", "Impact", "Lucida Grande",
                             "Tahoma", "Times New Roman", "Verdana"],
            focus: true                 // set focus to editable area after initializing summernote
        });
    });
</script>
@endsection