@extends('layouts.app')
@section('pagetitle', 'User')
@section('subtitle', 'Show Detail')
@section('page_css')
@endsection
@section('content')
        <div class="row">
            <div class="col-lg-12">
                <!--breadcrumbs start -->
                <ul class="breadcrumb">
                    <li><a href="{{ url('/admin-home') }}"><i class="fa fa-home"></i> Home</a></li>
                    <li><a href="{{ url('user') }}">@yield('pagetitle')</a></li>
                    <li class="active"><strong>@yield('subtitle')</strong></li>
                </ul>
                <!--breadcrumbs end -->
            </div>
        </div>
        <div class="row">
                <div class="col-lg-12">
                    <section class="panel">
                        <header class="panel-heading">
                            @yield('pagetitle') <small> @yield('subtitle')</small>
                        </header>
                        <div class="panel-body">
                            <form class="form-horizontal tasi-form" enctype="multipart/form-data">
                                
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">First Name</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="first_name" id="first_name" value="{{ $user->first_name }}" readonly>
                                        <small class="text-danger">{{ $errors->first('first_name') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Last Name</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="last_name" id="last_name" value="{{ $user->last_name }}" readonly>
                                        <small class="text-danger">{{ $errors->first('last_name') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Email</label>
                                    <div class="col-sm-10">
                                        <input type="email" class="form-control" name="email" id="email" value="{{ $user->email }}" readonly>
                                        <small class="text-danger">{{ $errors->first('email') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Role</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" value="{{$user->type}}" readonly>
                                        <small class="text-danger">{{ $errors->first('type') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Contact No</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="mobile" id="mobile" value="{{ $user->mobile }}" readonly>
                                        <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Address</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="address" id="address" value="{{ $user->address }}" readonly>
                                        <small class="text-danger">{{ $errors->first('address') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Profile Picture</label>
                                    <div class="col-sm-10">
                                        @if($user->picture)
                                        <img alt="task-thumb" src="{{ asset('storage/User-Images/'.$user->picture)}}" height="100px" width="100px">
                                        @endif
                                    </div>
                                </div>
                            </form>
                        </div>
                    </section>
                </div>
        </div>
@endsection
@section('page_js')
<script type="text/javascript" src="{{url('assets/select2/js/select2.min.js')}}"></script>
<!--select2-->
<script type="text/javascript">
    $(document).ready(function () {
        $(".js-example-basic-single").select2({
            placeholder: "Please Select User Role"
        });

        $(".select2_multiple").select2({
            placeholder: "Please Select User Role"
        });
    });
</script>
@endsection